Subject: Re: HOME set to / [Was: cygwin-1.3.16-1]
From: "Chris Game" <[email-masked]>
To: [email-masked]
Date: Wed, 4 Dec 2002 10:30:49 -0000

In an earlier post, John Morrison  wrote:

[...]
> The way this is set has changed and *should* work ootb with a clean
> installation.
>
> The easiest way (I believe) atm is to...
>
> $ cp /etc/group /etc/group.old
> $ cp /etc/passwd /etc/passwd.old
> $ /etc/postinstall/passwd-grp.sh.done
>
> this should recreate /etc/group and /etc/passwd (check before
> closing!)  Then close and restart cygwin.  You should now
> be your domain user *not* your local Admin.
>
> Also note that /etc/profile has changed, the new version
> is kept as /etc/profile.default and should not overwrite any
> previous copy.
>
> The functionality has changed slightly.  It doesn't run
> ~/.bashrc by default, as per specs it runs ~/.bash_profile
> which should check and, if appropriate, run ~/.bashrc
>
> Feel free to change how this works - it is your system
> afterall :)

Ah! Thanks for useful hints - now how do I get out of this 'None' group
that I'm apparently in, and into 'Users' or even 'Administrators'?

-- 
===========================================

Chris Game <chrisgame@!yahoo!dotcodotuk>
===========================================

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/